View a markdown version of this page

UpdateMetadataConfiguration - Amazon S3

UpdateMetadataConfiguration

Adds or deletes text search configurations on a vector index. Specify either add or delete, but not both. The vector index must be in ENHANCED mode.

Permissions

You must have the s3vectors:UpdateMetadataConfiguration permission to use this operation.

Request Syntax

POST /UpdateMetadataConfiguration HTTP/1.1 Content-type: application/json { "add": { "textSearchConfigurations": [ { "language": "string", "metadataKey": "string", "status": "string" } ] }, "delete": { "textSearchConfigurations": [ { "metadataKey": "string" } ] }, "indexArn": "string", "indexName": "string", "vectorBucketName": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

add

Text search configurations to add to the vector index.

Type: MetadataConfigurationAdd object

Required: No

delete

Text search configurations to delete from the vector index.

Type: MetadataConfigurationDelete object

Required: No

indexArn

The Amazon Resource Name (ARN) of the vector index to update.

Type: String

Pattern: arn:aws[-a-z0-9]*:s3vectors:[a-z0-9-]+:[0-9]{12}:bucket/[a-z0-9][a-z0-9-.]{1,61}[a-z0-9]/index/[a-z0-9][a-z0-9-.]{1,61}[a-z0-9]

Required: No

indexName

The name of the vector index to update.

Type: String

Length Constraints: Minimum length of 3. Maximum length of 63.

Required: No

vectorBucketName

The name of the vector bucket that contains the vector index.

Type: String

Length Constraints: Minimum length of 3. Maximum length of 63.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "indexArn": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

indexArn

The Amazon Resource Name (ARN) of the updated vector index.

Type: String

Pattern: arn:aws[-a-z0-9]*:s3vectors:[a-z0-9-]+:[0-9]{12}:bucket/[a-z0-9][a-z0-9-.]{1,61}[a-z0-9]/index/[a-z0-9][a-z0-9-.]{1,61}[a-z0-9]

Errors

AccessDeniedException

Access denied.

HTTP Status Code: 403

ConflictException

The request failed because a vector bucket name or a vector index name already exists. Vector bucket names must be unique within your AWS account for each AWS Region. Vector index names must be unique within your vector bucket. Choose a different vector bucket name or vector index name, and try again.

HTTP Status Code: 409

InternalServerException

The request failed due to an internal server error.

HTTP Status Code: 500

NotFoundException

The request was rejected because the specified resource can't be found.

HTTP Status Code: 404

RequestTimeoutException

The request timed out. Retry your request.

HTTP Status Code: 408

ServiceUnavailableException

The service is unavailable. Wait briefly and retry your request. If it continues to fail, increase your waiting time between retries.

HTTP Status Code: 503

TooManyRequestsException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The requested action isn't valid.

fieldList

A list of specific validation failures that are encountered during input processing. Each entry in the list contains a path to the field that failed validation and a detailed message that explains why the validation failed. To satisfy multiple constraints, a field can appear multiple times in this list if it failed. You can use the information to identify and fix the specific validation issues in your request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: